<?php require_once('../auth/auth.php'); ?>
<section class="content">
   <div class="container-fluid">
      <div class="row">
         <div class="col-md-3">
            <div class="card card-primary card-outline direct-chat direct-chat-primary shadow-none" style="border-left:1px solid #969c9d;border-right:1px solid #969c9d;border-bottom:1px solid #969c9d;">
               <div class="card-header" style="padding: 5px 8px;">
                  <h3 class="card-title"><?php echo language(172); ?> </h3>
                  <div class="card-tools"> <button type="button" class="btn btn-tool" data-card-widget="remove"> <i class="fas fa-times"></i>  </button> </div>
               </div>
               <form id="group_form" action="#" method="post" autocomplete="off">
                  <input type="hidden" name="newgroup" required="true">
                  <div class="card-body">
                     <div class="col-md-12">
                        <div class="row">
                           <div class="col-md-8">
                              <div class="form-group">
                                 <label> <?php echo language(238); ?><b class="text-danger"> *</b></label>
                                 <input type="text" name="group_name"  class="form-control form-control-sm inputselect" style="text-align:center;" required="true">
                              </div>
                           </div>
                           <div class="col-md-4">
                              <div class="card" style="margin:16px 0px 0px 0px  ;">
                                 <button type="submit" id="save" class="btn btn-success btn-xs"> <?php echo language(23); ?> </button>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </form>
               <div class="card-body p-1">
                  <tr>
                     <th rowspan="3"  class="text-center" >
                        <input type="text" id="search" class="form-control form-control-sm search"  placeholder="searching" required="true" style="border-radius: ;border:1px solid primary;width:100%; text-align:center; padding:; ">
                     </th>
                  </tr>
                  <table id="trbl_table" class="ttable searchtable" cellpadding="0" cellspacing="0">
                     <thead>
                        <tr class="sticky-top">
                           <th class="text-center" style="width:5%;"><?php echo language(15); ?></th>
                           <th style="width:50%;"><?php echo language(238); ?></th>
                           <th class="text-center" style="width:5%;">#</th>
                        </tr>
                     </thead>
                     <tbody id="colview">
                        <?php
                           if($coid ==1){
                               $group_query= mysqli_query($conn,"SELECT * FROM user_g WHERE coid  ORDER BY coid ") or die (mysql_error());
                           } else if($coid >1){
                               $group_query= mysqli_query($conn,"SELECT * FROM user_g WHERE coid='$coid'  ORDER BY coid ") or die (mysql_error());
                           }
                           $i=0;
                           while ($rowgg= mysqli_fetch_array ($group_query) ){
                               
                            $co_name=mysqli_fetch_assoc(mysqli_query($conn,"SELECT co_name FROM company WHERE coid='".$rowgg['coid']."'  LIMIT 1 "))['co_name'];  
                           ?>
                        <tr>
                           <td  style="font-size: 11.5px;text-align: center;"><?php echo ++$i ?></td>
                           <td  style="font-size: 11.5px"><?php echo $co_name; ?> >> <?php echo $rowgg['group_name']; ?>   </td>
                           <td onclick="pagecall('../company_setup/permissoin.php?getid='+'<?php echo $rowgg['ugid']?>'+'&type=user_g','#g_view')">
                              <i class="fa fa-cog"> </i> 
                           </td>
                        </tr>
                        <?php } ?>
                     </tbody>
                  </table>
               </div>
            </div>
         </div>
         <div class="col-md-9" id="g_view">
         </div>
      </div>
   </div>
</section>
<script>
   $(document).ready(function(){
      $('.search').on('keyup',function(){
        var searchTerm = $(this).val().toLowerCase();
        $('.searchtable tr').each(function(){
          var lineStr = $(this).text().toLowerCase();
          if(lineStr.indexOf(searchTerm) === -1){
            $(this).hide();
        }else{
            $(this).show();
        }
    });
    });
   
      $('th').each(function (col) {
        $(this).hover(
          function () {
            $(this).addClass('focus');
        },
        function () {
            $(this).removeClass('focus');
        }
        );
        $(this).click(function () {
          if ($(this).is('.asc')) {
            $(this).removeClass('asc');
            $(this).addClass('desc selected');
            sortOrder = -1;
        } else {
            $(this).addClass('asc selected');
            $(this).removeClass('desc');
            sortOrder = 1;
        }
        $(this).siblings().removeClass('asc selected');
        $(this).siblings().removeClass('desc selected');
        var arrData = $('table').find('tbody >tr:has(td)').get();
        arrData.sort(function (a, b) {
            var val1 = $(a).children('td').eq(col).text().toUpperCase();
            var val2 = $(b).children('td').eq(col).text().toUpperCase();
            if ($.isNumeric(val1) && $.isNumeric(val2))
              return sortOrder == 1 ? val1 - val2 : val2 - val1;
          else
              return (val1 < val2) ? -sortOrder : (val1 > val2) ? sortOrder : 0;
      });
        $.each(arrData, function (index, row) {
            $('tbody').append(row);
        });
    });
    });
   });
</script>
<script>
   $(document).ready(function() {
     $('#group_form').on('submit', function(e){
       $('#save').prop('disabled', true);
       $('#save').html('<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span> '+'Loading...');
       e.preventDefault();  
       $.post("../hr_manage/group_index_db.php",$(this).serialize(),function(data){
        $('#group_form')[0].reset();
        $('#save').prop('disabled', false);
        $('#save').html('Save');
        $.post('../hr_manage/group_index.php?running='+1,{},function(res){
         $('#hrhome').html(res);
         toastr.success(Showing, '<?php echo "Data Load Succefully " ?>');
       }); 
      });
     });
   
   
   
   
   });  
</script>